Contents

# Tan Function

Determines the tangent of an angle. The angle is specified in radians.

Using the angle Alpha, the Tan function calculates the ratio of the length of the side opposite the angle to the length of the side adjacent to the angle in a right-angled triangle.

Tan(Alpha) = side opposite the angle/side adjacent to angle

### Syntax:

    Tan (Number As Double) As Double

### Return type:

Double

### Parameters:

Number: Any numeric expression that you want to calculate the tangent for (in radians).

To convert degrees to radians, multiply by Pi/180. To convert radians to degrees, multiply by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi is approximately 3.141593.

### Error codes:

5 Invalid procedure call

### Example:

    ' In this example, the following entry is possible for a right-angled triangle:
    ' The side opposite the angle and the angle (in degrees) to calculate the length of the side adjacent to the angle:
    Sub ExampleTangens
    ' Pi = 3.1415926 is a pre-defined variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Enter the length of the side opposite the angle: ","opposite")
        dAlpha = InputBox("Enter the Alpha angle (in degrees): ","Alpha")
        Print "the length of the side adjacent the angle is"; (d1 / tan (dAlpha * Pi / 180))
    End Sub

Related Topics

Atn Function

Cos Function

Sin Function